Package com.castlabs.android.player.models

# Enum SideloadedTrack.Type

java.lang.Object
java.lang.Enum<SideloadedTrack.Type>
com.castlabs.android.player.models.SideloadedTrack.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<SideloadedTrack.Type>`

Enclosing class:
  `SideloadedTrack`

public static enum SideloadedTrack.Type extends Enum<SideloadedTrack.Type>
Represents the type of the sideloaded track.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SUBTITLE`
  Subtitle track.
  `THUMBNAIL`
  Thumbnail track.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SideloadedTrack.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SideloadedTrack.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUBTITLE

    public static final SideloadedTrack.Type SUBTITLE
    Subtitle track.

  - ### THUMBNAIL

    public static final SideloadedTrack.Type THUMBNAIL
    Thumbnail track.

- ## Method Details

  - ### values

    public static SideloadedTrack.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SideloadedTrack.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null